WordPress.org

Ready to get started?Download WordPress

Forums

utf8 unicode or general? (2 posts)

  1. Dave333
    Member
    Posted 5 years ago #

    I have a problem with the display of certian characters on my blog.

    Some instances of ' and " and - are replaced with several foreign characters, sometimes a singe character is replaced with up to five strange characters.

    I think this might have been related to the upgrade to 2.7.

    I understand that my database collation and character formats should be in utf8 and have checked through PHP Myadmin and noticed that under localhost are the following settings:
    MySQL charset: UTF-8 Unicode (utf8)
    MySQL connection collation: UTF8_unicode_ci

    If I then select my database and look at the individual table formats I see that most tables are in utf8_general_ci format with the exception of one table (wp_links), which is in utf8_unicode_ci.

    I spent several hours yesterday with the helpdesk of my webhost and they were unable to solve the issue. So I have to fix this myself.

    I have three quesitons:

    1. Does it matter if the tables are in utf8_general_ci or do they all need to be in utf8_unicode_ci?

    2. If I need to change them, how do I do that?
    I have gone into the 'Structure' tab and ticked all the tables and then gone to the 'Operations' tab and chosen utf8_unicode_ci under the 'Collation' section and clicked 'go' but when I go back to the 'Structure' tab there is no change.

    3. I see that several plugins exist that automate the process of changing formats but none have been updated to work with WordPress 2.7.
    Does anyone know of a plugin that works with WP 2.7?

    Thanks.

  2. Dave333
    Member
    Posted 5 years ago #

    Ok, getting more frustrated and I am thinking of taking a different tact.

    The amount of probems caused by the upgrade to WordPress 2.7 is incredible. So I am considering other options, one of which is to go back to the previous version of WordPress. But I would like some advice from people who are more knowlegable than me before I risk making matters worse. My question is this:

    Will my posts created in WordPress 2.7 still work in a previous version of WordPress. I don't see any reason why they won't but need to be sure.

    Are there any possible problems that might occur by reverting back to the previous version of WordPress?

Topic Closed

This topic has been closed to new replies.

About this Topic